- Qt 6.8
- Qt GUI
- C++ Classes
- QTouchEvent
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QTouchEvent

The following members of class QTouchEvent are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.0)` | QTouchEvent(QEvent::Type eventType, const QPointingDevice *device, Qt::KeyboardModifiers modifiers, QEventPoint::States touchPointStates, const QList<QEventPoint> &touchPoints = {})
`(deprecated in 6.0)` const QList<QEventPoint> & | touchPoints() const

## Member Function Documentation

### `[explicit, deprecated in 6.0]` QTouchEvent::QTouchEvent(QEvent::Type eventType, const QPointingDevice *device, Qt::KeyboardModifiers modifiers, QEventPoint::States touchPointStates, const QList<QEventPoint> &touchPoints = {})

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use another constructor.

Constructs a QTouchEvent with the given eventType, device, and touchPoints. The touchPointStates and modifiers are the current touch point states and keyboard modifiers at the time of the event.

### `[deprecated in 6.0]` const QList<QEventPoint> &QTouchEvent::touchPoints() const

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use points() instead.

Returns a reference to the list of touch points contained in the touch event.

See also QPointerEvent::point() and QPointerEvent::pointCount().